---
title: "Simulate a Card Transaction Authorization Request - Non-EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---non-eea.html
lang: en
---

# Simulate a Card Transaction Authorization Request - Non-EEA

Simulate Rapyd’s request to your authorization server.

If you have implemented Remote Authorization, Rapyd sends authorization requests to your remote authorization server when the card network requests approval of a transaction on a card issued to a Rapyd Wallet. Use this method in the sandbox.

The response contains all the fields you must send to Rapyd when you receive an authorization request in production.

This method triggers [Card Issuing Sale Webhook](https://docs.rapyd.net/en/card-issuing-sale-webhook.md "Card Issuing Sale Webhook"). This webhook contains the same information as the response. See also [Remote Authorization](https://docs.rapyd.net/en/remote-authorization-365140.md "Remote Authorization").

This method applies to cards issued outside the European Economic Area (EEA). For cards issued in the EEA, see [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").

Prerequisites

- A **company** wallet with a **personal** contact.

  - [Create Wallet](https://docs.rapyd.net/en/create-wallet.md "Create Wallet")
  - [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet")
- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Add Funds to Wallet Account](https://docs.rapyd.net/en/add-funds-to-wallet-account.md "Add Funds to Wallet Account")

### Parameters

### Request Body Parameters

- - amount
  - The amount of the authorization, in units of the currency defined in `currency`. Decimal.
- - card_id
  - ID of the card. String starting with **card_**.
- - currency
  - The currency supported by the card. Three-letter ISO 4217 code.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in ISO 18245.
- - merchant_name_location
  - Name and location of the merchant. Maximum 40 characters.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the refund, in units defined in `currency`.
- - bin
  - Bank Identifier Number (BIN) for the card. The first 6 digits of the card number.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_program_id
  - ID of the card program. String starting with **cardprog_**.
- - created_at
  - Time of creation of the transaction, in Unix time.
- - currency
  - Currency of the refund transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the issued card transaction. String starting with **cit_**.
- - issuing_txn_type
  - Type of transaction on the issued card. One of the following:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**
- - last4
  - Last 4 digits of the card number.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_name_location
  - Name and location of the merchant.

    TEST MERCHANT
- - original_transaction_id
  - ID of the original issued card transaction. String starting with **cit_**.
- - original_txn_amount
  - Original amount for FX transactions, when 'currency' is different from 'original_txn_currency'.
- - original_txn_currency
  - Original currency in an FX transaction.
- - pos_entry_mode
  - The mode of entry of the transaction at the point of sale. One of the following values:

    - **adjustment**
    - **ecommerce**
    - **emv**
    - **emv_standin**
    - **magstripe**
    - **manual_entered**
    - **network_token**
    - **nfc**
    - **3ds_ecommerce**
- - retrieval_reference_number
  - Retrieval reference number for the card transaction.
- - systems_trace_audit_number
  - Reserved.
- - wallet_transaction_id
  - ID of the wallet transaction String starting with **wt_**.

- /v1/issuing/cards/authorization

- Card Transaction Authorization
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/authorization
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
      "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
      "amount": 5,
      "currency": "USD"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "333e030a-76f3-429b-b5cd-a3c0e40373c4"
      },
      "data": {
          "id": "cit_bfebf42294f984e69183acff99a14cc5",
          "amount": 5,
          "currency": "USD",
          "created_at": 1683098455,
          "card_id": "card_ed9fddc7e809b711c938cc65ffb4cc58",
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "auth_code": "3A53EY",
          "bin": "557433",
          "last4": "7654",
          "issuing_txn_type": "SALE",
          "pos_entry_mode": "",
          "systems_trace_audit_number": "",
          "retrieval_reference_number": "2E4AE4C46E19",
          "original_transaction_id": "",
          "original_txn_amount": null,
          "original_txn_currency": "",
          "fx_rate": 1,
          "card_program_id": "cardprog_b027c85a66ebebb2e094bca626d5ae97",
          "wallet_transaction_id": "wt_c78f11aa6812fcaa4b84fc5f1ae220c9"
      }
  }
  ```
